You need to be logged in to post in the forum - Log In

An active JCE Pro Subscription is required to post in the forum - Buy a Subscription

Support is currently Offline

Official support hours:
Monday To Friday
From 09:00 To 17:00 Europe/London (BST)

Please post your question in the Forum and we will get back to you as soon as we can.

  Sunday, 12 June 2022
  19 Replies
  212 Visits
Hi,

i have a strange problem:

when i use JCE version 2.9.9 and i insert a spotify song - that is working without any problem.

But when i use your latest JCE version, it is not working - the spotify song appears as a broken iframe without any spotify content.

I cannot find the problem and of course i carefully looked to the correct settings (iframe, media and so on...)

Can you help me ?

If necessary, i can provide you a test environment on the web with SU access.

Gerold
2 weeks ago
·
#111209
Are you using the iframe embed code provided by Spotify?

Just because you're not paranoid doesn't mean everybody isn't out to get you.

2 weeks ago
·
#111231
Hi Ryan,

i simply copy the link (not the embed code!) provided by spotify (example: https://open.spotify.com/track/6FKKO4AzapkLjSyhgl764Q?si=24de5ccaa34c48f4) and insert that in JCE editor area.

In Version 2.9.9 that is possible without any problem and the song is displayed properly.

But in higher versions of JCE i see only an error message within a frame.

Do you have an idea ?
2 weeks ago
·
#111232
This is working in my tests - with your link - in JCE Pro 2.9.24

What do you have selected for the Allow IFrames option in Editor Profiles -> Plugin Parameters -> Media Support?

Just because you're not paranoid doesn't mean everybody isn't out to get you.

2 weeks ago
·
#111233
Hi Ryan,

of course it is set to yes and i pay attention, that my userprofile is the highest on the list of profiles.

In the evening i made a test again: on existing JCE installation 2.9.9. i installed 2.9.24 - test inserting spotify link and it failed.

Then i installed back 2.9.9. and it works again - nothing more - no change of settings....

If you want, i can provide you with login to my web test environment with SU rights
2 weeks ago
·
#111234

Just because you're not paranoid doesn't mean everybody isn't out to get you.

2 weeks ago
·
#111235
Ok - it is done

First you can make test in existing jce installation 2.9.9 - inserting spotify link is no problem
Then you can install 2.9.24 over existing 2.9.9 - spotify link fails
Install back to 2.9.9 - inserting spotify link will work again.

You can try inserting the link here:
https://efgtestneu.efg-mannheim.de/index.php/a-team-gruppenarbeit-pflege/edit/3/125/entry?start=0

It is a direct link to an edit formular where i make the tests
2 weeks ago
·
#111236
Which browser are you using?

Just because you're not paranoid doesn't mean everybody isn't out to get you.

2 weeks ago
·
#111238
Latest Opera Edition

Good idea - i will try chrome
2 weeks ago
·
#111239
I've found the issue and I believe I have fixed it, but I am having trouble installing the beta on your site, as it keeps timing out.

Please try JCE Pro 2.9.25 Beta - https://www.joomlacontenteditor.net/downloads/editor/pro/development

Just because you're not paranoid doesn't mean everybody isn't out to get you.

2 weeks ago
·
#111240
With Chrome - i face the same problem.

The problem seems to be: when the link is inserted in JCE Editor higher than 2.9.9, there is a try to open spotiy application on PC and to play the song in application, but not inserting the link in editor area.

But when i do the same in 2.9.9. nothing happens - only the link will be inserted as desired...

Do you have an idea?
2 weeks ago
·
#111241
Ah ok - i try to install and give feedback to you
2 weeks ago
·
#111242
The song now will be displayed, but there is a strange problem:

when i play the song under 2.9.9 installation, the whole song without time limited restriction will be played.

when i insert with your 2.9.25 alpha edition, only a time limited version of the song will be played and spotify inserts a link with "play the full song in spotify"....

I try a few times in 2.9.9. to see, if this problem also exists in 2.9.9 and it is not JCE problem - or it is Spotify problem....
2 weeks ago
·
#111243
This is a Spotify issue, as JCE embeds the code provided by Spotify. In 2.9.9 there was actually an error which actually resulted in JCE not using the correct Spotify embed code.

Just because you're not paranoid doesn't mean everybody isn't out to get you.

2 weeks ago
·
#111245
Oh no - can't you implement the "spotify insert logic of 2.9.9 in 2.9.25" ????

Because that is correct - the whole song will be displayed!

I tried several times and everytime the whole song will be inserted and displayed under 2.9.9.

and only a time crippled version of song will be displayed under 2.9.25 :(

That makes JCE Version above 2.9.9 and above not usable for me - because i want o have a page, there also "dummyusers" can maintain the articles,
and under 2.9.24 or higher they would everytime cry for the webmaster when an inserted song is not shown properly.

Perhaps you can make a switch in JCE Editor settings - like "embed Spotify with JCE iframe" and "embed Spotify with official Spotify iframe" ???? - OR you can present me a workaround in your higher version that i have same effect leike 2.9.9 <br> but i am afraid - this a problem by law and licenses due to Spotify condition - am i right ?

That would help people like me very much.

And of course i would be a paying JCE customer for a long time. Otherwise i have to remain on 2.9.9

Gerold
2 weeks ago
·
#111247
JCE uses the oEmbed service to request embed data from various providers such as Youtube, Vimeo, Spotify etc. This requires data to be sent to a specific url, in this case -


https://open.spotify.com/oembed?url=https%3A%2F%2Fopen.spotify.com%2Ftrack%2F6FKKO4AzapkLjSyhgl764Q%3Fsi%3D24de5ccaa34c48f4


- which then returns that providers preferred embed code. For Spotify, this appears to use a compact player by default, with no option to specify a standard size player.

Just because you're not paranoid doesn't mean everybody isn't out to get you.

2 weeks ago
·
#111248
In technical terms i understand you - but where is the problem to implement a switch in JCE settings that the user can set "2.9.9" mode or the new "2.9.24" mode, when inserting Spotify links? I think a lot of users would appreciate it.

If it is a problem, i have to patch 2.9.25 manually for myself or i have to stay on 2.9.9 ?
2 weeks ago
·
#111249
Download this plugin - https://github.com/widgetfactory/wf-custom-spotify/releases/download/1.0.0/plg_wf_custom_spotify_100.zip

Install using the Joomla Extension Manager, then enable it.

Just because you're not paranoid doesn't mean everybody isn't out to get you.

2 weeks ago
·
#111250
OK - i'll give it a try and give Feedback to you. Thx for Info
2 weeks ago
·
#111252
Ok, Ryan - that seems to work perfect for me!

Thank you very much - and now i will immediately update to JCE 2.9.24 :D

See you.
Ryan marked this post as Resolved — 1 week ago
  • Page :
  • 1
There are no replies made for this post yet.
Be one of the first to reply to this post!